plugins {
    id "java"
}

sourceSets {
    main {
        java {
            srcDir 'src/main/java'
			srcDir 'src/lwjgl/java'
        }
    }
}

repositories {
    mavenCentral()
}

tasks.withType(JavaCompile) {
    options.warnings = false
    options.compilerArgs << "-Xmaxerrs" << "1000"
}

dependencies {
    implementation fileTree(dir: './lwjgl-rundir/', include: '*.jar')
}

tasks.register('copyDebugJar', Copy) {
    project.delete("lwjgl-rundir/eaglercraft.jar")
    from layout.buildDirectory.file("eaglercraft.jar")
    into ("lwjgl-rundir/")
}